Package ghidra.app.services

# Class MarkerDescriptor

java.lang.Object
ghidra.app.services.MarkerDescriptor

public abstract class MarkerDescriptor extends Object
Allows clients to specify how `MarkerLocation`s are navigated, as well as how they should be painted

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarkerDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageIcon`
  `getIcon(MarkerLocation loc)`
  Called to get the icon that corresponds to the given location
  `ProgramLocation`
  `getProgramLocation(MarkerLocation loc)`
  Called when the navigation bar to the right of the window is clicked to allow the the creator of a Marker an opportunity to provide a more specific ProgramLocation for navigation.
  `String`
  `getTooltip(MarkerLocation loc)`
  Called to get a tool tip for a marker under the cursor in the marker panel

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MarkerDescriptor

    public MarkerDescriptor()

- ## Method Details

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(MarkerLocation loc)
    Called when the navigation bar to the right of the window is clicked to allow the the creator of a Marker an opportunity to provide a more specific ProgramLocation for navigation. If null is specified, the client will navigate to the corresponding address.
    Parameters:
      `loc` - the marker location
    Returns:
      the desired location; may be null

  - ### getTooltip

    public String getTooltip(MarkerLocation loc)
    Called to get a tool tip for a marker under the cursor in the marker panel
    Parameters:
      `loc` - the marker location
    Returns:
      the tooltip; may be null

  - ### getIcon

    public ImageIcon getIcon(MarkerLocation loc)
    Called to get the icon that corresponds to the given location
    Parameters:
      `loc` - the marker location
    Returns:
      the icon; may be null